import type { Appwrite, Models } from 'appwrite/types/sdk';
export declare type UseAccountResult<Preferences> = {
    account: Models.User<Preferences> | undefined;
    isLoading: boolean;
    error: any;
};
export default function useAccount<Preferences>(appwrite: Appwrite): UseAccountResult<Preferences>;
