'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

function useAccount(appwrite) {
  var _useState = react.useState(undefined),
      account = _useState[0],
      setAccount = _useState[1];

  var _useState2 = react.useState(true),
      isLoading = _useState2[0],
      setIsLoading = _useState2[1];

  var _useState3 = react.useState(),
      error = _useState3[0],
      setError = _useState3[1];

  react.useEffect(function () {
    appwrite.account.get() // @ts-ignore
    .then(setAccount)["catch"](setError)["finally"](function () {
      return setIsLoading(false);
    });
    return appwrite.subscribe('account', function (e) {
      console.log('update', e);
      setAccount(e.payload);
    });
  }, []);
  return {
    account: account,
    isLoading: isLoading,
    error: error
  };
}

exports.useAccount = useAccount;
//# sourceMappingURL=react-appwrite-hooks.cjs.development.js.map
