import { useState, useEffect } from 'react';

function useAccount(appwrite) {
  var _useState = useState(undefined),
      account = _useState[0],
      setAccount = _useState[1];

  var _useState2 = useState(true),
      isLoading = _useState2[0],
      setIsLoading = _useState2[1];

  var _useState3 = useState(),
      error = _useState3[0],
      setError = _useState3[1];

  useEffect(function () {
    appwrite.account.get() // @ts-ignore
    .then(setAccount)["catch"](setError)["finally"](function () {
      return setIsLoading(false);
    });
    return appwrite.subscribe('account', function (e) {
      console.log('update', e);
      setAccount(e.payload);
    });
  }, []);
  return {
    account: account,
    isLoading: isLoading,
    error: error
  };
}

export { useAccount };
//# sourceMappingURL=react-appwrite-hooks.esm.js.map
